=== debian/changelog ===
growlight (1.2.18-3) unstable; urgency=medium

  * Initial Debian packaging (Closes: #700060)

 -- Nick Black <dankamongmen@gmail.com>  Sat, 07 Nov 2020 12:48:54 -0500
