=== debian/control ===
Source: growlight
Priority: optional
Maintainer: Nick Black <dankamongmen@gmail.com>
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               libatasmart-dev,
               libblkid-dev,
               libcap-dev,
               libcryptsetup-dev,
               libdevmapper-dev,
               libnotcurses-dev (>= 2.0.1),
               libpci-dev,
               libpciaccess-dev,
               libreadline-dev,
               libudev-dev,
               nettle-dev,
               pandoc,
               pkg-config,
               zlib1g-dev
Section: utils
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://nick-black.com/dankwiki/index.php/growlight
Vcs-Browser: https://salsa.debian.org/debian/growlight
Vcs-Git: https://salsa.debian.org/debian/growlight.git

Package: growlight
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Disk manipulation and system preparation tool
 Growlight can manipulate both real and virtual (mdadm, device-mapper, and LVM)
 disks, find bottlenecks in a storage setup, create partitions and filesystems,
 and prepare fstab files for new installations.
