## growlight 1.2.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.14)
-project(growlight VERSION 1.2.18
+project(growlight VERSION 1.2.19
   DESCRIPTION "Block device and filesystem manager"
   HOMEPAGE_URL "https://nick-black.com/dankwiki/index.php/Growlight"
   LANGUAGES C)
@@ -161,6 +161,6 @@
   endif()
 endif()
 
-install(TARGETS growlight DESTINATION bin)
-install(TARGETS growlight-readline DESTINATION bin)
+install(TARGETS growlight DESTINATION sbin)
+install(TARGETS growlight-readline DESTINATION sbin)
 install(FILES ${MANPAGES8} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man8)
