=== debian/changelog ===
growlight (1.2.19-1) unstable; urgency=medium

  * New upstream release: fixes for sigsegv/sigabrt on shutdown, crash
    in readline in growlight-readline, man page expansion

 -- Nick Black <dankamongmen@gmail.com>  Tue, 17 Nov 2020 00:47:31 -0500
