## growlight 1.2.20

=== debian/changelog ===
growlight (1.2.20-1) unstable; urgency=medium

  * New upstream release: fixes for irregularly-drawn adapters and
    manual pages

 -- Nick Black <dankamongmen@gmail.com>  Fri, 20 Nov 2020 03:42:08 -0500
