=== debian/changelog ===
growlight (1.2.21-2) unstable; urgency=medium

  * Add doctest-dev to build-depends
  * Comment out breaking "blockdev" autopkgtest for now

 -- Nick Black (Public gmail account) <dankamongmen@gmail.com>  Thu, 26 Nov 2020 20:52:11 -0500

growlight (1.2.21-1) unstable; urgency=medium

  * New upstream release

 -- Nick Black <dankamongmen@gmail.com>  Sun, 22 Nov 2020 05:32:26 -0500
