=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Maintainer: Nick Black <dankamongmen@gmail.com>
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
+               doctest-dev,
                libatasmart-dev,
                libblkid-dev,
                libcap-dev,
@@ -18,7 +19,7 @@
                pkg-config,
                zlib1g-dev
 Section: utils
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://nick-black.com/dankwiki/index.php/growlight
 Vcs-Browser: https://salsa.debian.org/debian/growlight
