=== debian/tests/control ===
# Dump the block devices with full details using the installed binary
#Test-Command: echo "blockdev -v" | growlight-readline
#Depends: growlight
#Restrictions: allow-stderr, needs-root
#Features: test-name=blockdev

# The same, running as a regular user (will be lacking most devices)
Test-Command: echo "blockdev -v" | growlight-readline --notroot
Depends: growlight
Restrictions: allow-stderr
Features: test-name=blockdev-nonroot
