## growlight 1.2.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,25 @@
 cmake_minimum_required(VERSION 3.14)
-project(growlight VERSION 1.2.21
+project(growlight VERSION 1.2.22
   DESCRIPTION "Block device and filesystem manager"
   HOMEPAGE_URL "https://nick-black.com/dankwiki/index.php/Growlight"
-  LANGUAGES C)
+  LANGUAGES C CXX)
+set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_C_STANDARD 11)
-
+set(CMAKE_C_VISIBILITY_PRESET hidden)
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+
+include(CTest)
 include(GNUInstallDirs)
 include(FeatureSummary)
+include(CMakeDependentOption)
 
 ###################### USER-SELECTABLE OPTIONS ###########################
+# BUILD_TESTING is defined by CTest
+cmake_dependent_option(
+  USE_DOCTEST "Use doctest to build unit tests" ON
+  "${BUILD_TESTING}" OFF
+)
 option(USE_PANDOC "Use pandoc to write man pages" ON)
 option(USE_LIBZFS "Use libzfs to manage zpools/ZFS" ON)
 #################### END USER-SELECTABLE OPTIONS #########################
@@ -23,9 +34,8 @@
 find_package(PkgConfig REQUIRED)
 find_package(Threads)
 set_package_properties(Threads PROPERTIES TYPE REQUIRED)
-find_package(Notcurses 2.0.1 CONFIG)
+find_package(Notcurses 2.0.5 CONFIG)
 set_package_properties(Notcurses PROPERTIES TYPE REQUIRED)
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 pkg_check_modules(LIBATASMART REQUIRED libatasmart>=0.19)
 pkg_check_modules(LIBBLKID REQUIRED blkid>=2.20.1)
 pkg_check_modules(LIBCAP REQUIRED libcap>=2.24)
@@ -37,9 +47,14 @@
 pkg_check_modules(LIBREADLINE REQUIRED readline)
 pkg_check_modules(LIBUDEV REQUIRED libudev>=175)
 pkg_check_modules(LIBZ REQUIRED zlib>=1.2.11)
+if(${USE_DOCTEST})
+find_package(doctest 2.3.5)
+set_package_properties(doctest PROPERTIES TYPE REQUIRED)
+endif()
 if(${USE_LIBZFS})
 pkg_check_modules(LIBZFS REQUIRED libzfs>=0.8)
 endif()
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 include(CMakePackageConfigHelpers)
 configure_file(src/version.h.in include/version.h)
@@ -132,6 +147,33 @@
   PRIVATE
     "${COMMON_LIBRARY_DIRS}"
 )
+
+if(${USE_DOCTEST})
+file(GLOB TESTSRCS CONFIGURE_DEPENDS tests/*.cpp)
+add_executable(growlight-tester ${SRCS} ${TESTSRCS})
+target_include_directories(growlight-tester
+  PRIVATE
+    src
+    "${PROJECT_BINARY_DIR}/include"
+    "${COMMON_INCLUDE_DIRS}"
+)
+target_compile_definitions(growlight-tester
+  PRIVATE
+    _GNU_SOURCE _DEFAULT_SOURCE _XOPEN_SOURCE=600
+)
+target_link_libraries(growlight-tester
+  PRIVATE
+    "${COMMON_LIBRARIES}"
+)
+target_link_directories(growlight-tester
+  PRIVATE
+    "${COMMON_LIBRARY_DIRS}"
+)
+add_test(
+  NAME growlight-tester
+  COMMAND growlight-tester
+)
+endif()
 
 # Pandoc documentation (man pages)
 if(USE_PANDOC)
