=== debian/changelog ===
growlight (1.2.22-1) unstable; urgency=medium

  * New upstream version fixes regressions:
    - GPT checksums are correct once more (broken by move to zlib)
    - Dialog windows get input routed once more (broken by menu additions)
  * Block devices with broken partition tables are displayed now

 -- Nick Black <dankamongmen@gmail.com>  Fri, 27 Nov 2020 12:40:54 -0500
