=== debian/changelog ===
growlight (1.2.24-1) unstable; urgency=medium

  * New upstream version, fixes refusal to start without /proc/swaps

 -- Nick Black <dankamongmen@gmail.com>  Mon, 07 Dec 2020 12:25:54 -0500

growlight (1.2.23-1) unstable; urgency=medium

  * New upstream version

 -- Nick Black <dankamongmen@gmail.com>  Sun, 06 Dec 2020 08:48:53 -0500
