=== debian/changelog ===
growlight (1.2.25-1) unstable; urgency=medium

  * New upstream version, new partition no longer blows away backup GPT

 -- Nick Black <dankamongmen@gmail.com>  Fri, 18 Dec 2020 23:20:17 -0500
