=== debian/changelog ===
growlight (1.2.26-1) unstable; urgency=medium

  * New upstream version, update copyright dates

 -- Nick Black <dankamongmen@gmail.com>  Sat, 02 Jan 2021 02:28:51 -0500
