=== debian/changelog ===
growlight (1.2.27-1) unstable; urgency=medium

  * New upstream version, dep on notcurses 2.1.5+ for readline
    support, better wide char support on 32-bit.

 -- Nick Black <dankamongmen@gmail.com>  Fri, 15 Jan 2021 19:06:35 -0500
