=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libcap-dev,
                libcryptsetup-dev,
                libdevmapper-dev,
-               libnotcurses-dev (>= 2.0.5),
+               libnotcurses-dev (>= 2.1.5),
                libpci-dev,
                libpciaccess-dev,
                libreadline-dev,
