=== debian/changelog ===
growlight (1.2.31-1) unstable; urgency=medium

  * Sigh, real fix for autopkgtests (and, in general, the
    case where growlight-readline has no controlling terminal)
    (Closes: 982786).

 -- Nick Black <dankamongmen@gmail.com>  Tue, 16 Feb 2021 17:38:42 -0500

growlight (1.2.30-1) unstable; urgency=medium

  * New upstream version, fixes brown-bag segfault on failure
    to initialize UI, as for instance when TERM is undefined.

 -- Nick Black <dankamongmen@gmail.com>  Mon, 15 Feb 2021 22:11:16 -0500

growlight (1.2.28-1) unstable; urgency=medium

  * New upstream version, dep on notcurses 2.1.8+ for
    better readline integration in growlight-readline.

 -- Nick Black <dankamongmen@gmail.com>  Fri, 12 Feb 2021 10:39:31 -0500
