=== debian/tests/control ===
# Dump the block devices with full details using the installed binary
Test-Command: echo "blockdev -v" | growlight-readline -v
Depends: growlight
Restrictions: allow-stderr, needs-root
Features: test-name=blockdev
