=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/archive\/(v\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/,\
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%growlight-$1.tar.gz%" \
      https://github.com/dankamongmen/growlight/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
      debian uupdate
