=== debian/changelog ===
growlight (1.2.35-1) unstable; urgency=medium

  * New upstream, built for Notcurses 2.3.9

 -- Nick Black <dankamongmen@gmail.com>  Wed, 21 Jul 2021 00:19:29 -0400
