=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcap-dev,
  libcryptsetup-dev,
  libdevmapper-dev,
- libnotcurses-dev (>= 2.1.8),
+ libnotcurses-dev (>= 2.2.9),
  libpci-dev,
  libpciaccess-dev,
  libreadline-dev,
