=== debian/changelog ===
growlight (1.2.37-2) unstable; urgency=medium

  * Export TERM for autopkgtests.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 13 Oct 2021 21:23:14 -0400

growlight (1.2.37-1) unstable; urgency=medium

  * New upstream, fixes growlight-readline crash when redirected.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 12 Oct 2021 04:10:17 -0400

growlight (1.2.36-1) unstable; urgency=medium

  * New upstream, requires Notcurses 2.4.4.
  * Policy version 4.6.0, no changes necessary.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 03 Oct 2021 23:56:55 -0400
