=== debian/control ===
--- 
+++ 
@@ -10,17 +10,16 @@
  libcap-dev,
  libcryptsetup-dev,
  libdevmapper-dev,
- libnotcurses-dev (>= 2.2.9),
+ libnotcurses-dev (>= 2.4.4),
  libpci-dev,
  libpciaccess-dev,
- libreadline-dev,
  libudev-dev,
  nettle-dev,
  pandoc,
  pkg-config,
  zlib1g-dev,
 Section: utils
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://nick-black.com/dankwiki/index.php/growlight
 Vcs-Browser: https://salsa.debian.org/debian/growlight
