=== debian/changelog ===
growlight (1.2.38-5) unstable; urgency=medium

  * Autopkgtest environment has no TERM defined; define it.
    Define NOTCURSES_LOGLEVEL in autopkgtests.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 02 Jan 2022 22:03:24 -0500

growlight (1.2.38-3) unstable; urgency=medium

  * Throw in an attempt to get autopkgtests resolved, or at least
    get necessary debugging information.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 01 Jan 2022 11:58:55 -0500

growlight (1.2.38-2) unstable; urgency=medium

  * New upstream, require notcurses > 3.0.0.
  * Restore autopkgtests.

 -- Nick Black <dankamongmen@gmail.com>  Fri, 17 Dec 2021 00:32:54 -0500

growlight (1.2.37-3) unstable; urgency=medium

  * Drop autopkgtests until 1.2.38.

 -- Nick Black <dankamongmen@gmail.com>  Mon, 13 Dec 2021 00:03:40 -0500
