=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcap-dev,
  libcryptsetup-dev,
  libdevmapper-dev,
- libnotcurses-dev (>= 2.4.4),
+ libnotcurses-dev (>= 3.0.1),
  libpci-dev,
  libpciaccess-dev,
  libudev-dev,
