## growlight 1.2.39

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.14)
-project(growlight VERSION 1.2.38
+project(growlight VERSION 1.2.39
   DESCRIPTION "Block device and filesystem manager"
   HOMEPAGE_URL "https://nick-black.com/dankwiki/index.php/Growlight"
   LANGUAGES C CXX)
@@ -34,7 +34,7 @@
 find_package(PkgConfig REQUIRED)
 find_package(Threads)
 set_package_properties(Threads PROPERTIES TYPE REQUIRED)
-find_package(Notcurses 3.0.0 CONFIG)
+find_package(Notcurses 3.0.5 CONFIG)
 set_package_properties(Notcurses PROPERTIES TYPE REQUIRED)
 pkg_check_modules(LIBATASMART REQUIRED libatasmart>=0.19)
 pkg_check_modules(LIBBLKID REQUIRED blkid>=2.20.1)
@@ -172,6 +172,11 @@
   COMMAND growlight-tester
 )
 endif()
+
+add_test(
+  NAME blockdev-verbose
+  COMMAND sh -c "echo 'blockdev -v' | ./growlight-readline -v --notroot"
+)
 
 # Pandoc documentation (man pages)
 if(USE_PANDOC)
