=== debian/changelog ===
growlight (1.2.39-1) unstable; urgency=medium

  * New upstream release
  * Standards version 4.7.2, no changes needed
  * Bump copyrights

 -- Nick Black <dankamongmen@gmail.com>  Thu, 30 Oct 2025 13:41:14 -0400
