=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  pkg-config,
  zlib1g-dev,
 Section: utils
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://nick-black.com/dankwiki/index.php/growlight
 Vcs-Browser: https://salsa.debian.org/debian/growlight
