=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,9 @@
+# Invoke growlight-readline with input redirected from /dev/null
+Test-Command: TERM=xterm-256color NOTCURSES_LOGLEVEL=7 growlight-readline -v < /dev/null
+Depends: growlight
+Restrictions: allow-stderr, needs-root
+Features: test-name=devnull
+
 # Dump the block devices with full details using the installed binary
 Test-Command: echo "blockdev -v" | TERM=xterm-256color growlight-readline -v
 Depends: growlight
