=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/archive\/refs\/tags/releases\/download/;s/v(\d\S*).tar.gz/v$1\/v$1.tar.gz.asc/" \
      https://github.com/dankamongmen/growlight/tags .*/v(\d\S*)\.tar\.gz \
      debian
