=== debian/changelog ===
growlight (1.2.40-4) unstable; urgency=medium

  * Standards version 4.7.3, remove explicit Priority field.
  * Remove Rules-Requires-Root directive.
  * Upgrade watchfile to version 5.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 06 Jan 2026 20:05:13 -0500

growlight (1.2.40-3) unstable; urgency=medium

  * Upload to unstable having confirmed cmake tests fix
    (Closes: 1119720).

 -- Nick Black <dankamongmen@gmail.com>  Wed, 05 Nov 2025 17:48:41 -0500

growlight (1.2.40-2) experimental; urgency=medium

  * Cherry-pick 2e74b392 from upstream to avoid running certain
    tests when TERM is not defined.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 05 Nov 2025 12:28:27 -0500

growlight (1.2.40-1) experimental; urgency=medium

  * New upstream release
  * Depend on only libnotcurses-core-dev, not libnotcurses-dev.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 05 Nov 2025 08:49:31 -0500
