=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: growlight
-Priority: optional
 Maintainer: Nick Black <dankamongmen@gmail.com>
 Build-Depends:
  cmake (>= 3.16),
@@ -10,7 +9,7 @@
  libcap-dev,
  libcryptsetup-dev,
  libdevmapper-dev,
- libnotcurses-dev (>= 3.0.1),
+ libnotcurses-core-dev (>= 3.0.1),
  libpci-dev,
  libpciaccess-dev,
  libudev-dev,
@@ -19,8 +18,7 @@
  pkg-config,
  zlib1g-dev,
 Section: utils
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://nick-black.com/dankwiki/index.php/growlight
 Vcs-Browser: https://salsa.debian.org/debian/growlight
 Vcs-Git: https://salsa.debian.org/debian/growlight.git
