=== debian/watch ===
Version: 5

Source: https://github.com/dankamongmen/growlight/tags
Pgp-Sig-Url-Mangle: s/archive\/refs\/tags/releases\/download/;s/v(\d\S*).tar.gz/v$1\/v$1.tar.gz.asc/
